<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Account - Auto Repairs</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

</head>

<body>
    <!--
		----------------------------------------------------------------------------
		Nav Bar
		----------------------------------------------------------------------------
	-->
    <header>
        <nav class="navbar navbar-expand-sm navbar-light bg-light">
            <div class="container-fluid">
                <a class="navbar-brand" href="../index.html">Auto Repairs</a>
                <!-- Responsive navbar expander for narrow viewports -->
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <li class="nav-item">
                            <a class="nav-link active" aria-current="page" href="../index.html">Home</a>
                        </li>
                        <li class="nav-item" id="login-nav-item">
                            <a class="nav-link" href="../accounts/login.html">Log In</a>
                        </li>
                        <li class="nav-item" id="create-account-nav-item">
                            <a class="nav-link" href="../accounts/create-account.html">Create Account</a>
                        </li>
                        <li class="nav-item" id="repairs-nav-item" hidden>
                            <!-- link to a page for viewing repairs. Admins get a different endpoint for now -->
                            <a class="nav-link" id="repairs-nav-item-link" href="#">Repairs</a>
                        </li>
                        <li class="nav-item" id="create-repair-nav-item" hidden>
                            <a class="nav-link" href="../repairs/create-repair.html">Create Repair</a>
                        </li>
                        <li class="nav-item" id="account-nav-item" hidden>
                            <!-- page to view and edit accounts -->
                            <a class="nav-link" href="../accounts/update-account.html">Account</a>
                        </li>
                        <li class="nav-item" id="all-accounts-nav-item" hidden>
                            <a class="nav-link" href="../accounts/accounts.html">All Accounts</a>
                        </li>
                        <li class="nav-item" id="logout-nav-item" hidden>
                            <a class="nav-link" href="#">Log Out</a>
                        </li>
                    </ul>
                </div>
                <!-- navbar links -->
            </div>
        </nav>
    </header>
    <!--
		----------------------------------------------------------------------------
		Main body
		----------------------------------------------------------------------------
	-->
    <main class="mt5">
        <div class="container-md">
            <h1>Create An Account</h1>
            <div id="error-msg" hidden></div>
            <form id="create-account-form" class="row g-3">
                <div class="col-md-6">
                    <label for="create-account-form-first-name" class="form-label">First Name</label>
                    <input type="text" class="form-control" id="create-account-form-first-name"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter your first name
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="create-account-form-last-name" class="form-label">Last Name</label>
                    <input type="text" class="form-control" id="create-account-form-last-name"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter your last name
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="create-account-form-email" class="form-label">Email</label>
                    <input type="email" class="form-control" id="create-account-form-email"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter your email
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="create-account-form-password" class="form-label">Password</label>
                    <input type="password" class="form-control" id="create-account-form-password"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter a password
                    </div>
                </div>
                <div class="col">
                    <button type="submit" class="btn btn-primary">Sign up</button>
                </div>
            </form>

        </div>

    </main>

    <!-- JS imports -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
        crossorigin="anonymous"></script>
    <script src="../js/server-requests.js"></script>
    <script src="../js/nav-bar.js"></script>
    <script src="./create-account.js"></script>
</body>

</html>